Subject: Re: Superimposing characters

From: Marcus Lundblad <[email-masked]>
Date: Tue, 8 Jul 2003 20:47:56 +0200 (CEST)

> Well, why don't you just fix it :-)
> 
> By the way, I don't understand why while loops are so popular.  In
> this case, you have all four parts of a for loop:  initialisation,
> condition, loop body and increment:
> 
>   for (char_len = 0, i = 0;
>        i < len && fws->e_str[i] != 0;
>        char_len++, i += curr_len)
>   {
>     curr_len = FlocaleStringNumberOfBytes( flf, fws->str + i);
>   }
> 
> Easier to read and less error prone.
> 

OK, now I've submitted code to handle underlining, together with the above
fix.
But, just now I reallised I've been testing using a UTF-8 locale.
I tried to run with a non-UTF-8 locale (sv_SE). Using the Arabic rc file,
it dumps core. But my usual configuration works (except Cond is no longer
valid...)

Now I feel so stupid... So the risk is the current snapshots only work
using Arabic in a UTF-8 locale.

I'll do further debugging.... ^_^

//Marcus

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]